View Issue Details

IDProjectCategoryLast Update
0020894AI War 2[All Projects] Bug - GameplayApr 19, 2019 1:45 pm
ReporterExliumAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.810 Brace for Cross Planet Attack 
Fixed in VersionBETA 0.851 Drones And Economies 
Summary0020894: Double clicking to select a type of ship is a bit sloppy
DescriptionIt will select all of the same ship even if I don't double click *on* a particular ship. I can click once on open space, which I commonly do to deselect everything, and then after I try to select one ship like a scout or engineer it will treat it as a double click. Any prior click will be recognized as a double click if I click on a unit after. Even clicking a completely different ship type.
TagsNo tags attached.

Relationships

related to 0020721 assignedx4000Bughunter Double Right Click & Hold acts as a right click every frame? 

Activities

wm46

Jan 29, 2019 12:08 pm

reporter   ~0050756

Marking this one as related, because you seem to be talking about the same issue of double click + hold (yes even if you're only holding it for 0.1 seconds) causing the game to register many clicks at once.

Exlium

Jan 30, 2019 9:23 am

reporter   ~0050757

not exactly but it is a similar issue of the clicking just not feeling precise enough. In my case I'm only doing two quick taps. Once anywhere on the screen and then once on a ship I'm trying to select, in rapid succession of course.

x4000Bughunter

Apr 19, 2019 1:45 pm

administrator   ~0051203

Thanks!

* Fixed (but have not tested) a longstanding bug where it would register a double-click if you were clicking too rapidly between different parts of the screen. Mice are fast! Now if you've moved the mouse more than 10px, it doesn't consider it a double-click. Probably. We need to test that.

Issue History

Date Modified Username Field Change
Jan 26, 2019 9:59 am Exlium New Issue
Jan 29, 2019 12:06 pm wm46 Relationship added related to 0020721
Jan 29, 2019 12:08 pm wm46 Note Added: 0050756
Jan 30, 2019 9:23 am Exlium Note Added: 0050757
Apr 19, 2019 1:45 pm x4000Bughunter Assigned To => x4000Bughunter
Apr 19, 2019 1:45 pm x4000Bughunter Status new => resolved
Apr 19, 2019 1:45 pm x4000Bughunter Resolution open => fixed
Apr 19, 2019 1:45 pm x4000Bughunter Fixed in Version => BETA 0.851 Drones And Economies
Apr 19, 2019 1:45 pm x4000Bughunter Note Added: 0051203